pentium-builder_0.19_all.deb


Advertisement

Description

pentium-builder - force pentium optimized compilation

Distribution: Debian 7 (Wheezy)
Repository: Debian Main amd64
Package name: pentium-builder
Package version: 0.19
Package release:
Package architecture: all
Package type: deb
Installed size: 80 B
Download size: 6.99 KB
Official Mirror: ftp.br.debian.org
Replaces gcc, cc, and g++ with scripts that build pentium optimized code. (Other processors can be optimized for as well.) By default, after installing this package, the compilers will behave normally. However, if the environment variable DEBIAN_BUILDARCH=pentium is set, they will enter pentium optimized compile mode.

Alternatives

Requires

    Download

    Source package: pentium-builder

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install pentium-builder deb package:
      # sudo apt-get install pentium-builder

    Files

    • /usr/bin/builder-c++
    • /usr/bin/builder-cc
    • /usr/bin/g++
    • /usr/bin/gcc
    • /usr/share/doc/pentium-builder/README.Debian
    • /usr/share/doc/pentium-builder/changelog.gz
    • /usr/share/doc/pentium-builder/copyright
    • /usr/share/man/man1/builder-c++.1.gz
    • /usr/share/man/man1/builder-cc.1.gz

    Changelog

    2006-09-04 - Alex Pennace <alex@pennace.org> pentium-builder (0.19) unstable; urgency=low * Not entirely sure about making this package non-native. * Acknowledge NMU, thanks Amaya Rodrigo Sastre (Closes: #359560, #169159). * Fixed bug where it doesn't handle DEBIAN_BUILDGCCVER being defined while DEBIAN_BUILDARCH is not, thanks Michael Blakeley (Closes: #322959).

    2006-07-17 - Amaya Rodrigo Sastre <amaya@debian.org> pentium-builder (0.18-1.1) unstable; urgency=low * Non-maintainer upload. * Get rid of the /usr/doc link in postinst (Closes: #359560). * Change occurences of DEBAIN to DEBIAN in manpages (Closes: #169159). * Package switches from native to non-native

    2002-08-03 - Alex Pennace <alex@pennace.org> pentium-builder (0.18) unstable; urgency=low * Horrible bug: the pentium-builder scripts fail silently and indicate success to the parent process if they are unable to execute the real compiler. Execution can fail due to a variety of temporary or permanent problems. In the case of pentium-builder, the chief problem was calling a binary that wasn't there. pentium-builder now prints a diagnostic and terminates with a non-zero exit code if execution fails. Thanks Francesco Potorti`. (closes: Bug#151077) * Updated copyright.

    2002-03-02 - Alex Pennace <alex@pennace.org> pentium-builder (0.17) unstable; urgency=low * Acknowledge NMU, thanks Junichi Uekawa. (closes: Bug#126243) * Cleaned up man pages.

    2001-12-23 - Junichi Uekawa <dancer@debian.org> pentium-builder (0.16.1) unstable; urgency=low * NMU at the request of maintainer. * merging athlon-builder to pentium-builder (closes: #122488, #95393)

    2001-07-31 - Alex Pennace <alex@pennace.org> pentium-builder (0.16) unstable; urgency=low * Removed --print-libgcc-file-name kludge because it causes problems when used as input to 'gcc -E'. (closes: Bug#106727)

    2001-07-15 - Alex Pennace <alex@pennace.org> pentium-builder (0.15) unstable; urgency=low * New maintainer. (closes: Bug#100372) * Fixed --print-libgcc-file-name kludge. Note that 'dpkg --print-architecture' warns about the strange gcc output but otherwise behaves as expected, and dpkg-architecture will return i386. This may cause other problems. (closes: Bug#92325) * Arranged for proper Perl dependency with dh_perl. * Changed debhelper build dependency from Build-Depends-Indep to Build-Depends, since dh_testdir is called from the build target in debian/rules, see Debian Policy Manual ver. 3.5.5.0 sec. 7.6. * Added dependency on 'gcc | g++'; the package is useless without either of those packages. * Added basic manual pages for builder-cc and builder-c++. * New copyright file. * Complies with Debian Policy ver. 3.5.5.0; updated Standards-Version control field accordingly.

    2001-03-07 - Adrian Bunk <bunk@fs.tum.de> pentium-builder (0.14) unstable; urgency=low * I forgot to change the maintainer field... * Standards-Version: 3.5.2 (no changes)

    2001-03-07 - Adrian Bunk <bunk@fs.tum.de> pentium-builder (0.13) unstable; urgency=low * New maintainer. (closes: #82247)

    2001-01-13 - Joey Hess <joeyh@debian.org> pentium-builder (0.12) unstable; urgency=low * Orphaned the package.

    Advertisement
    Advertisement